Subject: bug#54495: unexpected download after gc

From: David Elsing <[email-masked]>
Date: Tue, 07 Jan 2025 19:51:49 +0000

Hello,

David Elsing <[email-masked]> writes:

> Presently, it is inconvenient to globally run guix gc at all for me, as
> many (dependent) packages are deleted and substituted again when
> rebuilding several profiles built with grafts.

In the meantime, I learned about the '--gc-keep-outputs' and
'--gc-keep-derivations' options for guix-daemon [1], which together
prevent this issue. Of course, this also keeps build dependencies, but
that might be desirable anyway.

Best,
David

[1] https://guix.gnu.org/manual/devel/en/html_node/Invoking-guix_002ddaemon.html